"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMinTradeSize = void 0;
const _1 = require(".");
const common_sdk_1 = require("@orca-so/common-sdk");
const anchor_1 = require("@project-serum/anchor");
const getMinTradeSize = (totalAmount, minTradeSizeInPercentage) => {
    const multipliedTradeSizeInPercentage = common_sdk_1.DecimalUtil.toU64(minTradeSizeInPercentage.mul(_1.DENOMINATOR));
    const denominatorBN = new anchor_1.BN(_1.DENOMINATOR);
    return totalAmount.mul(multipliedTradeSizeInPercentage).div(denominatorBN);
};
exports.getMinTradeSize = getMinTradeSize;
